Botan 1.10.17

Classes | Namespaces | Typedefs
exceptn.h File Reference
`#include <botan/types.h>`
`#include <botan/parsing.h>`
`#include <exception>`
`#include <stdexcept>`
`#include <string>`

Go to the source code of this file.

## Classes
struct | Botan::Algorithm_Not_Found
struct | Botan::Decoding_Error
struct | Botan::Encoding_Error
struct | Botan::Integrity_Failure
struct | Botan::Internal_Error
struct | Botan::Invalid_Algorithm_Name
struct | Botan::Invalid_Block_Size
struct | Botan::Invalid_IV_Length
struct | Botan::Invalid_Key_Length
struct | Botan::Invalid_OID
struct | Botan::Invalid_State
struct | Botan::Lookup_Error
struct | Botan::Memory_Exhaustion
struct | Botan::Policy_Violation
struct | Botan::PRNG_Unseeded
struct | Botan::Self_Test_Failure
struct | Botan::Stream_IO_Error

## Namespaces
| Botan

## Typedefs
typedef std::runtime_error | Botan::Exception
typedef std::invalid_argument | Botan::Invalid_Argument